Name:           maven-doxia-tools
Version:        1.6
Release:        %mkrel 4
Group:          Development/Java
Summary:        Maven Doxia Integration Tools
License:        ASL 2.0
URL:            http://maven.apache.org/doxia/doxia-tools/
BuildArch:      noarch

Source0:        http://repo1.maven.org/maven2/org/apache/maven/doxia/doxia-integration-tools/%{version}/doxia-integration-tools-%{version}-source-release.zip

Patch0:         0001-Port-to-Maven-3-APIs.patch

BuildRequires:  maven-local
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-decoration-model)
BuildRequires:  mvn(org.apache.maven.doxia:doxia-logging-api)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-compat)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-parent:pom:)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven.reporting:maven-reporting-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-container-default)
BuildRequires:  mvn(org.codehaus.plexus:plexus-i18n)
BuildRequires:  mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)

%description
A collection of tools to help the integration of Doxia in Maven plugins.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains %{summary}.

%prep
%setup -q -n doxia-integration-tools-%{version}
%patch0 -p1 -b .sav
%pom_xpath_remove "pom:dependency[pom:scope[text()='test']]"
%pom_set_parent org.apache.maven:maven-parent:24

%mvn_file : %{name}
%mvn_alias : org.apache.maven.doxia:doxia-integration-tools
%mvn_alias : org.apache.maven.shared:maven-doxia-tools

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Tue Feb 23 2016 neoclust <neoclust> 1.6-4.mga6
+ Revision: 977318
- First rebuild of the java stack
- sync package maven-doxia-tools with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Dec 23 2014 pterjan <pterjan> 1.4-19.mga5
+ Revision: 805068
- Update BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 1.4-18.mga5
+ Revision: 742973
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jun 14 2014 dmorgan <dmorgan> 1.4-16.mga5
+ Revision: 636248
- Build with xmvn

* Mon Oct 21 2013 umeabot <umeabot> 1.4-9.mga4
+ Revision: 537729
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 1.4-8.mga4
+ Revision: 487546
- Remove test dependencies

* Mon Jul 15 2013 dmorgan <dmorgan> 1.4-7.mga4
+ Revision: 454725
- Removed BR on maven-shared (unnecessary + blocking maven-shared retirement)

* Fri Jul 12 2013 dmorgan <dmorgan> 1.4-6.mga4
+ Revision: 453466
- Add extra depmap for doxia-integration-tools >= 1.5
- Migrated from maven-doxia to doxia subpackages (Resolves: rhbz#889146)

* Tue Jul 09 2013 dmorgan <dmorgan> 1.4-4.mga4
+ Revision: 451833
- migrated to plexus-components-component-default

* Sat Jan 12 2013 umeabot <umeabot> 1.4-3.mga3
+ Revision: 359612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 26 2012 dmorgan <dmorgan> 1.4-2.mga3
+ Revision: 264013
- Do not require post/postun jpackage-utils.

* Sun Dec 25 2011 dmorgan <dmorgan> 1.4-1.mga2
+ Revision: 187617
- Various update ( Fedora)
- Migration to plexus-containers-component-metadata & update to 1.4 ( Fedora)

* Thu Apr 28 2011 dmorgan <dmorgan> 1.2-7.mga1
+ Revision: 92698
- Rebuild after bootstrapping
- imported package maven-doxia-tools


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue May 11 2010 Mary Ellen Foster <mefoster at gmail.com> 1.2-4
- BuildRequire jakarta-commons-logging

* Mon May 10 2010 Mary Ellen Foster <mefoster at gmail.com> 1.2-3
- BuildRequire java >= 1:1.6.0
- Clean up changelog numbers

* Mon May 10 2010 Mary Ellen Foster <mefoster at gmail.com> 1.2-2
- Get (Build)Requirements right

* Wed Mar 31 2010 Mary Ellen Foster <mefoster at gmail.com> 1.2-1
- Initial version
- Don't run tests until maven-surefire is rebuilt
